# $Revision: 1.5.2.2 $, $Date: 2003/04/28 12:51:50 $
#
# Conditional build:
# _without_tests - do not perform "make test"
%include	/usr/lib/rpm/macros.perl
%define		pdir	GraphViz
%define		pnam	Data-Structure
Summary:	GraphViz::Data::Structure module - visualise data structures
Summary(pl):	Modu GraphViz::Data::Structure - wizualizacja struktur danych
Name:		perl-GraphViz-Data-Structure
Version:	0.07
Release:	3
License:	Artistic or GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	perl-GraphViz >= 1.3
BuildRequires:	rpm-perlprov >= 4.0.2-104
Requires:	perl-GraphViz >= 1.3
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module makes it easy to visualise data structures, even recursive
or circular ones. It is provided as an alternative to
GraphViz::Data::Grapher.

%description -l pl
Ten modu uatwia wizualizacj struktur danych, nawet zagniedonych i
cyklicznych. Jest udostpniony jako alternatywa dla moduu
GraphViz::Data::Grapher.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}

# disabled - two tests failed for me...
#%%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc BUGS Changes README
%{perl_sitelib}/GraphViz/Data/Structure.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-GraphViz-Data-Structure.spec,v $
Revision 1.5.2.2  2003/04/28 12:51:50  ankry
- really rel++

Revision 1.5.2.1  2003/03/13 00:57:30  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.5  2003/02/28 10:08:22  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.4  2003/02/25 00:39:25  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:32:49  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/09/03 09:12:41  qboosh
- removed GraphViz/Data dir (belongs to perl-GraphViz); release 2

Revision 1.1  2002/08/16 18:56:12  qboosh
- new
